<?php

namespace App\Http\Controllers\Sample;

use App\DataTables\Sample\TrackingLogDataTable;
use App\Http\Controllers\Controller;
use App\Models\TrackingLog;
use Illuminate\Http\Request;

class TrackingLogController extends Controller {
    public function list(TrackingLogDataTable $dataTable) {
    	$components['breadcrumb'] = (object) [
			'first' => 'Tracking Log',
			'second' => 'Sample'
		];
        $components['users'] = TrackingLog::selectRaw('User_ID AS User_ID')->distinct()->latest('User_ID')->get();
        return $dataTable->render('sample.list', $components);
    }
}
